Skip to main content
POST
/
api
/
v1
/
automations
/
{id}
/
experiments
Create experiment
curl --request POST \
  --url https://studio.eigenpal.com/api/v1/automations/{id}/experiments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "examples": [
    "<string>"
  ],
  "batchConcurrency": 4503599627370495,
  "sourceRef": "<string>"
}
'
{
  "id": "<string>",
  "runs": [
    {
      "id": "<string>",
      "exampleId": "<string>"
    }
  ],
  "total": 0
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Automation id or typed alias.

Body

application/json

Request body for starting an experiment batch.

examples
string[]

Optional dataset example ids to run. Omit to run the full dataset.

batchConcurrency
integer | null

Maximum concurrent example runs for this experiment.

Required range: 0 < x <= 9007199254740991
sourceRef
string

Optional source version/ref to use for experiment runs.

Response

Experiment accepted and runs enqueued.

Accepted experiment batch and the runs it enqueued.

id
string
required

Experiment batch id.

runs
object[]
required

Runs enqueued for this experiment.

total
integer
required

Number of runs enqueued.

Required range: -9007199254740991 <= x <= 9007199254740991